base_rootfs_tarball_url: https://artifactory.zooxlabs.com/artifactory/RSI/imaging/ubuntu-14.04-server-cloudimg-amd64-root.tar.gz
base_rootfs_tarball_file: ../imaging_build_directory/ubuntu_14_04_cloudimg.tar.gz
base_rootfs_sha1: 80c426c147f2ebfafe8eed8c7c2c81d4a0336d39

build_kernel_version_base: 4.19.72-3
build_kernel_version: "{{ build_kernel_version_base }}-zoox"
zoox_kernel_version_base: "{{ live_kernel_version_base | default(build_kernel_version_base) }}"
zoox_kernel_version: "{{ live_kernel_version | default(build_kernel_version) }}"
os_release_name: trusty

os_service_management_executables:
  - /usr/sbin/invoke-rc.d
  - /usr/sbin/service
  - /sbin/initctl
  - /sbin/sysctl

base_ubuntu_packages_to_remove:
  - snapd
  - cloud-init
  - uwsgi
  - landscape-client
  - open-vm-tools
  - speech-dispatcher
  - apparmor
  - apparmor-utils
  - avahi-daemon

ubuntu_desktop_packages:
 - acpi-support
 - adjtimex
 - alsa-base
 - anacron
 - app-install-data
 - app-install-data-partner
 - appmenu-qt
 - appmenu-qt5
 - apt-xapian-index
 - at
 - auditd
 - avahi-autoipd
 - avahi-utils
 - binutils-2.26
 - branding-ubuntu
 - busybox-static
 - byobu
 - can-utils
 - cgroup-bin
 - chrony
 - clang-3.6
 - clang-4.0
 - clang-format-3.6
 - clang-format-4.0
 - clang-tidy-4.0
 - clusterssh
 - colord
 - command-not-found
 - cpufrequtils
 - cups-filters
 - cups-pk-helper
 - dconf-gsettings-backend:amd64
 - diffutils
 - dmz-cursor-theme
 - dnsmasq
 - dnsutils
 - doc-base
 - dosfstools
 - dvipng
 - e2fslibs:amd64
 - e2fsprogs
 - ed
 - emacs24-nox
 - enchant
 - eog
 - ethtool
 - evince
 - expect
 - file
 - file-roller
 - fio
 - firefox
 - fonts-droid
 - fonts-kacst
 - fonts-kacst-one
 - fonts-khmeros-core
 - fonts-lao
 - fonts-liberation
 - fonts-lklug-sinhala
 - fonts-nanum
 - fonts-sil-abyssinica
 - fonts-sil-padauk
 - fonts-takao-pgothic
 - fonts-thai-tlwg
 - fonts-tibetan-machine
 - fonts-ubuntu-font-family-console
 - foomatic-db-compressed-ppds
 - freeglut3-dev:amd64
 - freeglut3:amd64
 - friendly-recovery
 - ftp
 - gcc-4.8-base:amd64
 - gcc-4.9-base:amd64
 - gcc-arm-none-eabi
 - gdal-bin
 - gdb
 - gdisk
 - gedit
 - ghostscript-x
 - gir1.2-gtksource-3.0
 - gir1.2-unity-5.0:amd64
 - gitk
 - glib-networking:amd64
 - gnome-accessibility-themes
 - gnome-control-center
 - gnome-control-center-shared-data
 - gnome-keyring
 - gnome-screensaver
 - gnome-screenshot
 - gnome-session
 - gnome-session-canberra
 - gnome-system-log
 - gnome-system-monitor
 - gnome-terminal
 - gnome-user-guide
 - gnupg-curl
 - gnuplot-x11
 - google-perftools
 - gpsd
 - gpsd-clients
 - graphicsmagick
 - grep
 - grub-efi-amd64
 - gstreamer1.0-alsa:amd64
 - gstreamer1.0-plugins-base-apps
 - gstreamer1.0-plugins-base:amd64
 - gstreamer1.0-plugins-good:amd64
 - gstreamer1.0-pulseaudio:amd64
 - gstreamer1.0-x:amd64
 - gthumb
 - gtk2-engines-murrine:amd64
 - gtk3-engines-unico:amd64
 - gucharmap
 - gvfs-bin
 - gvfs-fuse
 - gvfs-libs:amd64
 - gvfs:amd64
 - gzip
 - hddtemp
 - hdparm
 - hostname
 - htop
 - hunspell-en-us
 - hwdata
 - ibus-gtk3:amd64
 - ibus-gtk:amd64
 - ibus-pinyin
 - ibus-table
 - iftop
 - im-config
 - imagemagick
 - indicator-applet
 - indicator-application
 - indicator-appmenu
 - indicator-datetime
 - indicator-keyboard
 - indicator-messages
 - indicator-session
 - indicator-sound
 - info
 - inputattach
 - intel-gpu-tools
 - iotop
 - iperf3
 - iproute
 - iptables
 - iputils-tracepath
 - irqbalance
 - jq
 - krb5-locales
 - language-selector-common
 - laptop-detect
 - lcov
 - linux-libc-dev:amd64
 - llvm-4.0
 - lm-sensors
 - lockfile-progs
 - login
 - logrotate
 - lshw
 - lsof
 - ltrace
 - lvm2
 - m4
 - manpages-dev
 - meld
 - memtest86+
 - mircommon-dev:amd64
 - mlocate
 - mousetweaks
 - mtr-tiny
 - nano
 - nautilus-sendto
 - ncurses-base
 - ncurses-bin
 - ncurses-term
 - notification-daemon
 - notify-osd
 - notify-osd-icons
 - ntfs-3g
 - numactl
 - nvclock
 - nvidia-prime
 - nvidia-settings
 - odbcinst1debian2:amd64
 - openssh-server
 - overlayroot
 - p11-kit-modules:amd64
 - pcmciautils
 - phonon-backend-gstreamer-common:amd64
 - phonon-backend-gstreamer:amd64
 - phonon:amd64
 - pigz
 - plymouth-theme-ubuntu-logo
 - plymouth-theme-ubuntu-text
 - pm-utils
 - policykit-desktop-privileges
 - pps-tools
 - pulseaudio-module-bluetooth
 - pulseaudio-module-x11
 - python-bson
 - python-cheetah
 - python-configobj
 - python-gconf
 - python-gdbm
 - python-jsonpatch
 - python-lxml
 - python-mako
 - python-netifaces
 - python-oauth
 - python-pam
 - python-prettytable
 - python-pygraphviz
 - python-pyside
 - python-qt4
 - python-qt4-dbus
 - python-qt4-dev
 - python-serial
 - python-tk
 - python-twisted-names
 - python-twisted-web
 - python-yaml
 - python3-aptdaemon.pkcompat
 - python3-dev
 - python3-gdbm:amd64
 - python3-pycurl
 - python3-pyqt4
 - python3-sip
 - qpdf
 - qt-at-spi:amd64
 - qt5-qmake:amd64
 - qtbase5-dev:amd64
 - rsync
 - run-one
 - samba-libs:amd64
 - sane-utils
 - simple-scan
 - smartmontools
 - srecord
 - ssh-askpass-gnome
 - ssh-import-id
 - sshpass
 - strace
 - system-config-printer-gnome
 - system-config-printer-udev
 - tcpdump
 - telnet
 - texlive-binaries
 - time
 - ttf-indic-fonts-core
 - ttf-punjabi-fonts
 - ubuntu-artwork
 - ubuntu-docs
 - ubuntu-drivers-common
 - ubuntu-minimal
 - ubuntu-session
 - ubuntu-settings
 - ubuntu-sounds
 - ubuntu-system-service
 - unity
 - unity-gtk2-module:amd64
 - unity-gtk3-module:amd64
 - unity-lens-applications
 - unity-lens-files
 - unity-lens-photos
 - unity-lens-video
 - unity-scope-audacious
 - unity-scope-calculator
 - unity-scope-chromiumbookmarks
 - unity-scope-clementine
 - unity-scope-colourlovers
 - unity-scope-devhelp
 - unity-scope-firefoxbookmarks
 - unity-scope-gmusicbrowser
 - unity-scope-gourmet
 - unity-scope-guayadeque
 - unity-scope-manpages
 - unity-scope-musicstores
 - unity-scope-musique
 - unity-scope-openclipart
 - unity-scope-texdoc
 - unity-scope-tomboy
 - unity-scope-video-remote
 - unity-scope-virtualbox
 - unity-scope-yelp
 - unity-scope-zotero
 - unity-settings-daemon
 - update-notifier-common
 - uuid-runtime
 - uwsgi
 - uwsgi-plugin-python
 - valgrind
 - vbetool
 - vim
 - vim-nox
 - vlan
 - vpnc
 - wamerican
 - xcursor-themes
 - xdg-user-dirs-gtk
 - xdiagnose
 - xfonts-scalable
 - xorg
 - xul-ext-ubufox
 - xvfb
 - xvt
 - yasm
 - zerofree
 - zlib1g-dev:amd64
 - zlib1g:amd64
 - zlib1g:i386
# The following packages are dependencies of unity-control-center, which is installed so that all the usual settings show up
 - bluez
 - gir1.2-gnomebluetooth-1.0
 - gnome-bluetooth
 - gnome-user-share
 - gvfs-backends
 - indicator-bluetooth
 - indicator-power
 - libavahi-glib1
 - libcanberra-pulse
 - libcdio-cdda1
 - libcdio-paranoia1
 - libmtp-common
 - libmtp-runtime
 - libmtp9
 - libopenobex1
 - libtimezonemap1
 - libunity-control-center1
 - obex-data-server
 - obexd-client
 - python-gobject
 - unity-control-center
# Required by the zoox kernel
 - libdw1
